# $Revision: 1.27 $, $Date: 2009/08/08 10:44:14 $
Summary:	Session Management library
Summary(pl.UTF-8):	Biblioteka zarządzania sesją
Name:		xorg-lib-libSM
Version:	1.1.1
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libSM-%{version}.tar.bz2
# Source0-md5:	6889a455496aaaa65b1fa05fc518d179
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-util-util-macros
Obsoletes:	libSM
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Session Management library.

%description -l pl.UTF-8
Biblioteka zarządzania sesją.

%package devel
Summary:	Header files for libSM library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libSM
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libuuid-devel
Requires:	xorg-lib-libICE-devel
Obsoletes:	libSM-devel

%description devel
Session Management library.

This package contains the header files needed to develop programs that
use libSM.

%description devel -l pl.UTF-8
Biblioteka zarządzania sesją

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libSM.

%package static
Summary:	Static libSM library
Summary(pl.UTF-8):	Biblioteka statyczna libSM
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libSM-static

%description static
Session Management library.

This package contains the static libSM library.

%description static -l pl.UTF-8
Biblioteka zarządzania sesją.

Pakiet zawiera statyczą bibliotekę libSM.

%prep
%setup -q -n libSM-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog
%attr(755,root,root) %{_libdir}/libSM.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libSM.so.6

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libSM.so
%{_libdir}/libSM.la
%dir %{_includedir}/X11/SM
%{_includedir}/X11/SM/*.h
%{_pkgconfigdir}/sm.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libSM.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libSM.spec,v $
Revision 1.27  2009/08/08 10:44:14  arekm
- up to 1.1.1

Revision 1.26  2008/08/22 11:19:45  megabajt
- release 2

Revision 1.25  2008/08/03 15:14:23  charles
- added BR: (-devel R:) libuuid-devel

Revision 1.24  2008/07/09 04:49:38  qboosh
- ghost soname symlink

Revision 1.23  2008/07/02 18:58:08  arekm
- up to 1.1.0

Revision 1.22  2007/05/14 15:59:18  arekm
- up to 1.0.3

Revision 1.21  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.19  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.18  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.17  2006/11/20 09:37:40  pluto
- release 2 (rebuild with P: *.la).

Revision 1.16  2006/10/13 21:38:58  qboosh
- updated to 1.0.2

Revision 1.15  2006/04/27 06:42:46  arekm
- up to 1.0.1

Revision 1.14  2006/03/08 21:56:32  qboosh
- release 1

Revision 1.13  2005/12/27 13:54:11  qboosh
- sources from X11R7.0 release

Revision 1.12  2005/12/20 11:14:36  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.11  2005/12/04 16:47:10  qboosh
- -devel desc fixes

Revision 1.10  2005/12/04 10:06:12  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.9  2005/11/19 17:51:26  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.8  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.7  2005/10/20 14:03:10  qboosh
- 0.99.1 (X11R7.0-RC1)
- more docs, own /usr/include/X11/SM dir

Revision 1.6  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.5  2005/08/27 18:46:09  qboosh
- just name in BuildRoot

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.15  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

Revision 1.14  2005/05/01 10:21:25  qboosh
- updated Source URL, unified URL

Revision 1.13  2004/05/22 19:22:27  qboosh
- unifications, updated autoconf version

Revision 1.12  2004/05/18 11:27:23  grzegol
- updated to 6.0.3

Revision 1.11  2004/03/12 11:03:14  adgor
- Added apropriate conflicts for main & devel
- Added R /sbin/ldconfig where needed

Revision 1.10  2004/03/12 07:49:35  ankry
- fixed description

Revision 1.9  2004/03/12 06:39:47  ankry
- pl

Revision 1.8  2004/03/10 15:57:41  adgor
- Fixed noautoreqdep

Revision 1.7  2004/03/10 11:11:34  pluto
- more BR:, R:, cosmetics...

Revision 1.6  2004/03/10 10:53:53  pluto
- BR:, R:, cosmetics.

Revision 1.5  2004/03/06 13:21:32  pluto
- removed redudant BR:

Revision 1.4  2004/03/06 11:53:03  pluto
- BR:, R:, release 3.

Revision 1.3  2004/03/05 00:06:40  adgor
- Rel++

Revision 1.2  2004/03/04 21:23:32  adgor
- Added two lines with define

Revision 1.1  2004/03/04 10:36:43  adgor
- Initial
